/**
 * Copyright (c) Cisco Systems, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
import { LitElement, PropertyValues } from "lit";
export declare namespace TabPanel {
    const ELEMENT_base: import("../../mixins/FocusMixin").FocusMixinReturnType<typeof LitElement>;
    export class ELEMENT extends ELEMENT_base {
        selected: boolean;
        name: string;
        focusablePanel: string;
        static get styles(): import("lit").CSSResult[];
        connectedCallback(): void;
        protected firstUpdated(changedProperties: PropertyValues): void;
        render(): import("lit-html").TemplateResult<1>;
    }
    export {};
}
declare global {
    interface HTMLElementTagNameMap {
        "md-tab-panel": TabPanel.ELEMENT;
    }
}
